package com.jeeplus.modules.sg.managementcenter.project.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

public class Project extends DataEntity<Project> {
    private static final long serialVersionUID = 1L;
    private String type;//类型
    private String demandUnit;//需求提出单位
    private String bdzName;//变电站名称
    private String lineName;//线路名称
    private String requireName;//项目需求名称
    private String bulidClassificationResons;//建设理由分类
    private String bulbidResons;//建设理由
    private String asicEquipment;//设备基本情况
    private String runTheClass;//运行班
    private String projectTeam;//项目组
    private Double costEstimate;//费用估算
    private String whetherRheUpwind;//是否迎风期度夏项目
    private String sureDaDate;//确定下达时间
    private String textRemark;//备注
    private String status;

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
    @ExcelField(title="类型", align=2, sort=1)
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
    @ExcelField(title="需求提出单位", align=2, sort=1)
    public String getDemandUnit() {
        return demandUnit;
    }

    public void setDemandUnit(String demandUnit) {
        this.demandUnit = demandUnit;
    }
    @ExcelField(title="变电站名称", align=2, sort=1)
    public String getBdzName() {
        return bdzName;
    }

    public void setBdzName(String bdzName) {
        this.bdzName = bdzName;
    }
    @ExcelField(title="线路名称", align=2, sort=1)
    public String getLineName() {
        return lineName;
    }

    public void setLineName(String lineName) {
        this.lineName = lineName;
    }
    @ExcelField(title="项目需求名称", align=2, sort=1)
    public String getRequireName() {
        return requireName;
    }

    public void setRequireName(String requireName) {
        this.requireName = requireName;
    }
    @ExcelField(title="建设理由分类", align=2, sort=1)
    public String getBulidClassificationResons() {
        return bulidClassificationResons;
    }

    public void setBulidClassificationResons(String bulidClassificationResons) {
        this.bulidClassificationResons = bulidClassificationResons;
    }
    @ExcelField(title="建设理由", align=2, sort=1)
    public String getBulbidResons() {
        return bulbidResons;
    }

    public void setBulbidResons(String bulbidResons) {
        this.bulbidResons = bulbidResons;
    }
    @ExcelField(title="设备基本情况", align=2, sort=1)
    public String getAsicEquipment() {
        return asicEquipment;
    }

    public void setAsicEquipment(String asicEquipment) {
        this.asicEquipment = asicEquipment;
    }
    @ExcelField(title="运行班", align=2, sort=1)
    public String getRunTheClass() {
        return runTheClass;
    }

    public void setRunTheClass(String runTheClass) {
        this.runTheClass = runTheClass;
    }
    @ExcelField(title="项目组", align=2, sort=1)
    public String getProjectTeam() {
        return projectTeam;
    }

    public void setProjectTeam(String projectTeam) {
        this.projectTeam = projectTeam;
    }
    @ExcelField(title="费用估算", align=2, sort=1)
    public Double getCostEstimate() {
        return costEstimate;
    }

    public void setCostEstimate(Double costEstimate) {
        this.costEstimate = costEstimate;
    }
    @ExcelField(title="是否迎风期度夏项目", align=2, sort=1)
    public String getWhetherRheUpwind() {
        return whetherRheUpwind;
    }

    public void setWhetherRheUpwind(String whetherRheUpwind) {
        this.whetherRheUpwind = whetherRheUpwind;
    }
    @ExcelField(title="确定下达时间", align=2, sort=1)
    public String getSureDaDate() {
        return sureDaDate;
    }

    public void setSureDaDate(String sureDaDate) {
        this.sureDaDate = sureDaDate;
    }
    @ExcelField(title="备注", align=2, sort=1)
    public String getTextRemark() {
        return textRemark;
    }

    public void setTextRemark(String textRemark) {
        this.textRemark = textRemark;
    }
    //    private String powerLine;//停电线路
//    private String itemType;//项目类型
//    private String prowerPagerItem;//是否为停电打包项目
//    private String officeJudgment;//证处初步判断
//    private String includedCivil;//是否含土建
//    private String steelTube;//钢管杆基础类型
//    private String bulidResons;//是否需要规划报批
//    private String equipmentModificationType;//设备改造类型
//    private String changeTheSize;//改造设备尺寸及间隔数
//    private String canBecustomized;//是否可定制设备
//    private String newDeviceName;//是否含新设备命名
//    private String headOperationOf;//是否含变电站新间隔头运
//    private String nonSetElectrical;//是否含非设电电气点电器施工
//    private String automationIncluded;//是否含自动化
//    private String twoOfThree;//二摇或三遥
//    private String phoneStyle;//通信方式
//    private String openCentralizedOr;//柱开集中或就地
//    private String networkCabinet;//环网柜
//    private String rightrOfWayDtu;//站房DTU
//    private String checkHomeWork;//是否需要带带你作业查探
//    private String constructionOfChannel;//施工通道
//    private String canBexpanded;//设备基础是否可以扩容
//    private String fieldEquipmentSize;//现场设备尺寸
//    private String maximumCapacitySize;//最多可狂容尺寸
//    private String programSecurityRisks;//方案安全隐患
//    private String constructionImpact;//是否存在低压或同心县等施工影响
//    private String projectToRepeat;//立项重复
//    private String beenImplemented;//是否已经实施
//    private String transformerNoLoad;//变压器无负荷
//    private String LineConsistency;//线路名称一致性
//    private String quantityConsistent;//工程量是否一致
//    private String dryConsistency;//设备开光干好一致性
//    private String thePlaceType;//证处类型
//    private String precondition;//前置条件
//    private String dtuEmplacement;//DTU安放核查
//    private String dateOfProduction;//核查环网生产日期
//    private String integrationModule;//二次是否集成模块
//    private String ptReplaced;//PT是否需要更换
//    private String overallTransformation;//设备是否有整体改造必要

    @Override
    public String toString() {
        return "Project{" +
                "type='" + type + '\'' +
                ", demandUnit='" + demandUnit + '\'' +
                ", bdzName='" + bdzName + '\'' +
                ", lineName='" + lineName + '\'' +
                ", requireName='" + requireName + '\'' +
                ", bulidClassificationResons='" + bulidClassificationResons + '\'' +
                ", bulbidResons='" + bulbidResons + '\'' +
                ", asicEquipment='" + asicEquipment + '\'' +
                ", runTheClass='" + runTheClass + '\'' +
                ", projectTeam='" + projectTeam + '\'' +
                ", costEstimate=" + costEstimate +
                ", whetherRheUpwind='" + whetherRheUpwind + '\'' +
                ", sureDaDate='" + sureDaDate + '\'' +
                ", textRemark='" + textRemark + '\'' +
                '}';
    }
}
